Bug 1475360 - [abrt] bleachbit: CLI.py:113:args_to_operations:KeyError: 'google-chrome'
[abrt] bleachbit: CLI.py:113:args_to_operations:KeyError: 'google-chrome'
Status: CLOSED DUPLICATE of bug 1514047
Product: Fedora
Classification: Fedora
Component: bleachbit (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f2f452b7f1e38296daa25f4acab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 09:49 EDT by RobbieTheK
Modified: 2017-11-17 15:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-17 15:32:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (645 bytes, text/plain)
2017-07-26 09:49 EDT, RobbieTheK
no flags Details
File: environ (2.76 KB, text/plain)
2017-07-26 09:49 EDT, RobbieTheK
no flags Details

  None (edit)
Description RobbieTheK 2017-07-26 09:49:26 EDT
Version-Release number of selected component:
bleachbit-1.12-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python2 /usr/bin/bleachbit --clean google-chrome.*
executable:     /usr/bin/bleachbit
kernel:         4.10.14-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1202

Truncated backtrace:
CLI.py:113:args_to_operations:KeyError: 'google-chrome'

Traceback (most recent call last):
  File "/usr/bin/bleachbit", line 51, in <module>
    bleachbit.CLI.process_cmd_line()
  File "/usr/share/bleachbit/CLI.py", line 192, in process_cmd_line
    operations = args_to_operations(args, options.preset)
  File "/usr/share/bleachbit/CLI.py", line 113, in args_to_operations
    for (option_id2, o_name) in backends[cleaner_id].get_options():
KeyError: 'google-chrome'

Local variables in innermost frame:
operations: {'google-chrome': []}
cleaner_id: 'google-chrome'
args: ['google-chrome.*']
option_id: '*'
preset: None
arg: 'google-chrome.*'
Comment 1 RobbieTheK 2017-07-26 09:49:29 EDT
Created attachment 1304805 [details]
File: backtrace
Comment 2 RobbieTheK 2017-07-26 09:49:30 EDT
Created attachment 1304806 [details]
File: environ
Comment 3 Fedora End Of Life 2017-11-16 09:08:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Mukundan Ragavan 2017-11-17 15:32:57 EST

*** This bug has been marked as a duplicate of bug 1514047 ***

Note You need to log in before you can comment on or make changes to this bug.